Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Types | List of all members
Sosemanuk Struct Reference

Sosemanuk stream cipher. More...

Inheritance diagram for Sosemanuk:

## Public Types
typedef SymmetricCipherFinal< ConcretePolicyHolder< SosemanukPolicy, AdditiveCipherTemplate<> >, SosemanukInfo > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members
Static Public Member Functions inherited from SosemanukInfo
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 1, 32, 1, SimpleKeyingInterface::UNIQUE_IV, 16 >
static size_t CRYPTOPP_API | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from VariableKeyLength< 16, 1, 32, 1, SimpleKeyingInterface::UNIQUE_IV, 16 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

Sosemanuk stream cipher.

is a stream cipher developed by Come Berbain, Olivier Billet, Anne Canteaut, Nicolas Courtois, Henri Gilbert, Louis Goubin, Aline Gouget, Louis Granboulan, Cédric Lauradoux, Marine Minier, Thomas Pornin and Hervé Sibert. Sosemanuk is one of the final four Profile 1 (software) ciphers selected for the eSTREAM Portfolio.

See also
  Sosemanuk

Since
  Crypto++ 5.5

Definition at line 54 of file sosemanuk.h.

The documentation for this struct was generated from the following file:

- sosemanuk.h